Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81613 - installer no longer configures dhcp host name in /etc/dhclient.conf
Summary: installer no longer configures dhcp host name in /etc/dhclient.conf
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-11 04:49 UTC by Michael Wardle
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-24 19:02:12 UTC


Attachments (Terms of Use)
example dhclient.conf (deleted)
2003-01-12 22:23 UTC, Michael Wardle
no flags Details

Description Michael Wardle 2003-01-11 04:49:52 UTC
Description of problem:
In Red Hat 8.0, there was an installer option to specify a DHCP host name
which caused the DHCP client to pass this host name to the DHCP server for
dynamic DNS registration.  This option is still available in Red Hat 8.0.92,
but it no longer works.

How reproducible:
Only tried once.

Steps to Reproduce:
1. Specify a DHCP host name during installation
    
Actual results:
Host was not registered for DNS.

Expected results:
Host was registered for DNS.

Additional info:
In Red Hat 8.0, specifying this option in the installer created
/etc/dhclient.conf with contents similar to:
--------------------
interface "eth0" {
  send host-name "hostname";
}
--------------------

This file was not created in the Red Hat 8.0.92 installer.  I
suspect this is the cause of the problem.

Comment 1 Jeremy Katz 2003-01-12 19:44:20 UTC
I'm not clear here on what option you're specifying or where you're specifying
it.    I can't think of any code that's ever been in the installer related to
dynamic dns registration.

Comment 2 Michael Wardle 2003-01-12 22:21:34 UTC
The option I refer to is in one of the network configuration screens early in
the installation process.  It is probably labeled something like:
Set Host Name:
- automatic via DHCP
- manual [.....]

In Red Hat 8.0 if the manual option was selected and a host name specified,
/etc/dhclient.conf was created as specifed earlier in this bug (comment 0).

With previous DHCP clients (such as pump and dhcpcd), this functionality could
be achieved by adding "-h <hostname>" to the DHCP client's command line or by
setting DHCP_HOSTNAME in the /etc/sysconfig file appropriate for that network
interface, however this functionality can only (it seems) be achieved by
creating /etc/dhclient.conf when using the new DHCP client, dhclient.

When this option is specified, when the DHCP client requests a new IP lease
it also passes this host name to the DHCP server.  This provides the DHCP
server with both the new host name and the new (leased) IP address so it can
contact the DNS server to perform dynamic DNS registration.

Let me know if there's anything else I can help with.


Comment 3 Michael Wardle 2003-01-12 22:23:55 UTC
Created attachment 89325 [details]
example dhclient.conf

This is a file I created to achieve the desired functionality in Red Hat
8.0.92.
In Red Hat 8.0, it may have been called something slightly different (perhaps
/etc/dhclient.conf-eth0 or /etc/dhclient.conf-auto), and I believe there was a
comment in the generated file stating it had been automatically generated by
anaconda.

Comment 4 Michael Fulbright 2003-01-14 19:36:05 UTC
The option in 8.0 just set the systems hostname to the value you supplied. It
did not create a dhclient.conf file as you specifed.  Phoebe should have that
behavior.

What you are requesting is a feature enhancement we'll have to consider in a
future release.

Comment 5 Michael Wardle 2003-01-15 00:32:19 UTC
I'm fairly certain that 8.0 did create this file as I stated, but I don't have
the time or a spare box to confirm this.

Could you give me a pointer where I could find the relevant code so I can have
a quick look at it to prove or disprove my suspicions?  Would this be handled
by anaconda, or is the network configuration passed off to
redhat-config-network or similar?


Comment 6 Michael Wardle 2003-02-18 02:15:06 UTC
I discussed this on phoebe-list, and it seems the behavior I have mentioned
is possible simply by adding an entry such as
DHCP_HOSTNAME=host.example.com

to /etc/sysconfig/network or to the ifcfg-interface scripts.

Could the installer please be modified to add this line if the manual host
name option is selected?


Comment 7 Jeremy Katz 2003-09-25 23:53:04 UTC
We now write out DHCP_HOSTNAME if you override the dhcp hostname.

Comment 8 Jeremy Katz 2006-04-24 19:02:12 UTC
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.


Note You need to log in before you can comment on or make changes to this bug.